#include <qttest_includes.h>

#include <smoke.h>
#include <qttest_smoke.h>

namespace __smokeqttest {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QByteArray
      switch(to) {
        case 2: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 3:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 3: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 18: return (void*)(QTestEventLoop*)(QObject*)xptr;
        case 10: return (void*)(QSignalSpy*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QPoint
      switch(to) {
        case 8: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 9:   //QRegExp
      switch(to) {
        case 9: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 10:   //QSignalSpy
      switch(to) {
        case 7: return (void*)(QObject*)(QSignalSpy*)xptr;
        case 10: return (void*)(QSignalSpy*)xptr;
        default: return xptr;
      }
    case 12:   //QTestAccessibility
      switch(to) {
        case 12: return (void*)(QTestAccessibility*)xptr;
        default: return xptr;
      }
    case 13:   //QTestAccessibilityEvent
      switch(to) {
        case 13: return (void*)(QTestAccessibilityEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QTestData
      switch(to) {
        case 14: return (void*)(QTestData*)xptr;
        default: return xptr;
      }
    case 15:   //QTestDelayEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestDelayEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QTestEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)(QTestEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)(QTestEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)(QTestEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)(QTestEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QTestEventList
      switch(to) {
        case 17: return (void*)(QTestEventList*)xptr;
        default: return xptr;
      }
    case 18:   //QTestEventLoop
      switch(to) {
        case 7: return (void*)(QObject*)(QTestEventLoop*)xptr;
        case 18: return (void*)(QTestEventLoop*)xptr;
        default: return xptr;
      }
    case 19:   //QTestKeyClicksEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyClicksEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QTestKeyEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QTestMouseEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestMouseEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QTestTable
      switch(to) {
        case 22: return (void*)(QTestTable*)xptr;
        default: return xptr;
      }
    case 23:   //QTimerEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 23: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QWidget
      switch(to) {
        case 7: return (void*)(QObject*)(QWidget*)xptr;
        case 24: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 0, 0,	// 1: QObject, QList
    16, 0,	// 4: QTestEvent
    0, 0,	// 6: QList
    7, 0,	// 8: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QTest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSignalSpy(Smoke::Index, void*, Smoke::Stack);
void xcall_QTest(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibility(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibilityEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestData(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestDelayEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventList(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventLoop(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyClicksEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestMouseEvent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//2
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QPoint", true, 0, 0, 0, 0, 0 },	//8
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//9
    { "QSignalSpy", false, 1, xcall_QSignalSpy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSignalSpy) },	//10
    { "QTest", false, 0, xcall_QTest, xenum_QTest, Smoke::cf_namespace, 0 },	//11
    { "QTestAccessibility", false, 0, xcall_QTestAccessibility, 0, Smoke::cf_deepcopy, sizeof(QTestAccessibility) },	//12
    { "QTestAccessibilityEvent", false, 0, xcall_QTestAccessibilityEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestAccessibilityEvent) },	//13
    { "QTestData", false, 0, xcall_QTestData, 0, 0, sizeof(QTestData) },	//14
    { "QTestDelayEvent", false, 4, xcall_QTestDelayEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestDelayEvent) },	//15
    { "QTestEvent", false, 0, xcall_QTestEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestEvent) },	//16
    { "QTestEventList", false, 6, xcall_QTestEventList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestEventList) },	//17
    { "QTestEventLoop", false, 8, xcall_QTestEventLoop, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTestEventLoop) },	//18
    { "QTestKeyClicksEvent", false, 4, xcall_QTestKeyClicksEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyClicksEvent) },	//19
    { "QTestKeyEvent", false, 4, xcall_QTestKeyEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyEvent) },	//20
    { "QTestMouseEvent", false, 4, xcall_QTestMouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestMouseEvent) },	//21
    { "QTestTable", true, 0, 0, 0, 0, 0 },	//22
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QWidget", true, 0, 0, 0, 0, 0 },	//24
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 2, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QList<QTestAccessibilityEvent>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QPoint", 8, Smoke::t_class|Smoke::tf_stack },	//10
    { "QRegExp&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QSignalSpy*", 10, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//15
    { "QTest::KeyAction", 11, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QTest::MouseAction", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "QTest::QBenchmarkMetric", 11, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QTest::SkipMode", 11, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QTest::TestFailMode", 11, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QTestAccessibilityEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QTestData&", 14, Smoke::t_class|Smoke::tf_ref },	//22
    { "QTestDelayEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QTestEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QTestEventList*", 17, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QTestEventLoop&", 18, Smoke::t_class|Smoke::tf_ref },	//26
    { "QTestEventLoop*", 18, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QTestKeyClicksEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QTestKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QTestMouseEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QTestTable*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QTimerEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QWidget*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//106
    { "__codecvt_result", 5, Smoke::t_enum|Smoke::tf_stack },	//107
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//108
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//109
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//111
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//112
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//113
    { "const QRegExp&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//114
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//115
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//116
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//117
    { "const QTestAccessibilityEvent&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//118
    { "const QTestDelayEvent&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//119
    { "const QTestEvent&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//120
    { "const QTestEventList&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//121
    { "const QTestKeyClicksEvent&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//122
    { "const QTestKeyEvent&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//123
    { "const QTestMouseEvent&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//124
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//125
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//126
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//127
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//128
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//129
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//131
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//132
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    125, 0,	//1  const char*
    5, 0,	//3  QEvent*
    9, 5, 0,	//5  QObject*, QEvent*
    32, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    9, 125, 0,	//12  QObject*, const char*
    8, 128, 131, 0,	//15  QMetaObject::Call, int, void**
    33, 10, 128, 0,	//19  QWidget*, QPoint, int
    33, 0,	//23  QWidget*
    33, 10, 0,	//25  QWidget*, QPoint
    127, 18, 0,	//28  double, QTest::QBenchmarkMetric
    125, 125, 20, 125, 128, 0,	//31  const char*, const char*, QTest::TestFailMode, const char*, int
    33, 78, 6, 10, 128, 0,	//37  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    33, 78, 0,	//43  QWidget*, Qt::MouseButton
    33, 78, 6, 0,	//46  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    33, 78, 6, 10, 0,	//50  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    9, 116, 0,	//55  QObject*, const QStringList&
    33, 108, 128, 6, 13, 108, 128, 0,	//58  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int
    33, 108, 128, 6, 13, 108, 0,	//66  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool
    33, 72, 6, 128, 0,	//73  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    33, 72, 0,	//78  QWidget*, Qt::Key
    33, 72, 6, 0,	//81  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    125, 19, 125, 128, 0,	//85  const char*, QTest::SkipMode, const char*, int
    108, 125, 125, 125, 128, 0,	//90  bool, const char*, const char*, const char*, int
    125, 125, 128, 0,	//96  const char*, const char*, int
    72, 0,	//100  Qt::Key
    128, 0,	//102  int
    16, 33, 72, 109, 6, 128, 0,	//104  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int
    16, 33, 72, 109, 6, 0,	//111  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>
    33, 109, 6, 128, 0,	//117  QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    33, 109, 0,	//122  QWidget*, char
    33, 109, 6, 0,	//125  QWidget*, char, QFlags<Qt::KeyboardModifier>
    125, 128, 0,	//129  const char*, int
    16, 33, 109, 6, 128, 0,	//132  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    16, 33, 109, 0,	//138  QTest::KeyAction, QWidget*, char
    16, 33, 109, 6, 0,	//142  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>
    126, 126, 125, 125, 125, 128, 0,	//147  const void*, const void*, const char*, const char*, const char*, int
    9, 128, 111, 0,	//154  QObject*, int, char**
    9, 0,	//158  QObject*
    9, 128, 0,	//160  QObject*, int
    108, 125, 110, 110, 125, 125, 125, 128, 0,	//163  bool, const char*, char*, char*, const char*, const char*, const char*, int
    17, 33, 78, 6, 10, 128, 0,	//172  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    17, 33, 78, 6, 10, 0,	//179  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    126, 0,	//185  const void*
    109, 0,	//187  char
    128, 125, 0,	//189  int, const char*
    125, 125, 125, 125, 125, 128, 0,	//192  const char*, const char*, const char*, const char*, const char*, int
    108, 125, 125, 128, 0,	//199  bool, const char*, const char*, int
    16, 33, 72, 13, 6, 128, 0,	//204  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int
    16, 33, 72, 13, 6, 0,	//211  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>
    16, 33, 72, 6, 128, 0,	//217  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    16, 33, 72, 0,	//223  QTest::KeyAction, QWidget*, Qt::Key
    16, 33, 72, 6, 0,	//227  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    106, 125, 0,	//232  QtMsgType, const char*
    33, 115, 6, 128, 0,	//235  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int
    33, 115, 0,	//240  QWidget*, const QString&
    33, 115, 6, 0,	//243  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>
    118, 0,	//247  const QTestAccessibilityEvent&
    9, 128, 128, 0,	//249  QObject*, int, int
    128, 126, 0,	//253  int, const void*
    119, 0,	//256  const QTestDelayEvent&
    120, 0,	//258  const QTestEvent&
    121, 0,	//260  const QTestEventList&
    72, 6, 128, 0,	//262  Qt::Key, QFlags<Qt::KeyboardModifier>, int
    16, 72, 6, 128, 0,	//266  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    109, 6, 128, 0,	//271  char, QFlags<Qt::KeyboardModifier>, int
    115, 6, 128, 0,	//275  const QString&, QFlags<Qt::KeyboardModifier>, int
    16, 109, 6, 128, 0,	//279  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int
    78, 6, 10, 128, 0,	//284  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    10, 128, 0,	//289  QPoint, int
    72, 6, 0,	//292  Qt::Key, QFlags<Qt::KeyboardModifier>
    16, 72, 0,	//295  QTest::KeyAction, Qt::Key
    16, 72, 6, 0,	//298  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>
    109, 6, 0,	//302  char, QFlags<Qt::KeyboardModifier>
    115, 0,	//305  const QString&
    115, 6, 0,	//307  const QString&, QFlags<Qt::KeyboardModifier>
    16, 109, 0,	//310  QTest::KeyAction, char
    16, 109, 6, 0,	//313  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>
    78, 0,	//317  Qt::MouseButton
    78, 6, 0,	//319  Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    78, 6, 10, 0,	//322  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    10, 0,	//326  QPoint
    125, 125, 0,	//328  const char*, const char*
    122, 0,	//331  const QTestKeyClicksEvent&
    123, 0,	//333  const QTestKeyEvent&
    16, 0,	//335  QTest::KeyAction
    6, 0,	//337  QFlags<Qt::KeyboardModifier>
    17, 78, 6, 10, 128, 0,	//339  QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    124, 0,	//345  const QTestMouseEvent&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Abort",	//1
    "BitsPerSecond",	//2
    "BytesPerSecond",	//3
    "CPUTicks",	//4
    "Click",	//5
    "Continue",	//6
    "Events",	//7
    "FramesPerSecond",	//8
    "InstructionReads",	//9
    "MouseClick",	//10
    "MouseDClick",	//11
    "MouseMove",	//12
    "MousePress",	//13
    "MouseRelease",	//14
    "Press",	//15
    "QSignalSpy",	//16
    "QSignalSpy#$",	//17
    "QTestAccessibilityEvent",	//18
    "QTestAccessibilityEvent#",	//19
    "QTestAccessibilityEvent#$",	//20
    "QTestAccessibilityEvent#$$",	//21
    "QTestDelayEvent",	//22
    "QTestDelayEvent#",	//23
    "QTestDelayEvent$",	//24
    "QTestEvent",	//25
    "QTestEvent#",	//26
    "QTestEventList",	//27
    "QTestEventList#",	//28
    "QTestEventLoop",	//29
    "QTestEventLoop#",	//30
    "QTestKeyClicksEvent",	//31
    "QTestKeyClicksEvent#",	//32
    "QTestKeyClicksEvent$$$",	//33
    "QTestKeyEvent",	//34
    "QTestKeyEvent#",	//35
    "QTestKeyEvent$$$$",	//36
    "QTestMouseEvent",	//37
    "QTestMouseEvent#",	//38
    "QTestMouseEvent$$$#$",	//39
    "Q_COMPLEX_TYPE",	//40
    "Q_DUMMY_TYPE",	//41
    "Q_MOVABLE_TYPE",	//42
    "Q_PRIMITIVE_TYPE",	//43
    "Q_STATIC_TYPE",	//44
    "QtCriticalMsg",	//45
    "QtDebugMsg",	//46
    "QtFatalMsg",	//47
    "QtSystemMsg",	//48
    "QtWarningMsg",	//49
    "Release",	//50
    "SkipAll",	//51
    "SkipSingle",	//52
    "WalltimeMilliseconds",	//53
    "__codecvt_error",	//54
    "__codecvt_noconv",	//55
    "__codecvt_ok",	//56
    "__codecvt_partial",	//57
    "_action",	//58
    "_ascii",	//59
    "_delay",	//60
    "_key",	//61
    "_modifiers",	//62
    "addColumnInternal",	//63
    "addColumnInternal$$",	//64
    "addDelay",	//65
    "addDelay$",	//66
    "addKeyClick",	//67
    "addKeyClick$",	//68
    "addKeyClick$$",	//69
    "addKeyClick$$$",	//70
    "addKeyClicks",	//71
    "addKeyClicks$",	//72
    "addKeyClicks$$",	//73
    "addKeyClicks$$$",	//74
    "addKeyEvent",	//75
    "addKeyEvent$$",	//76
    "addKeyEvent$$$",	//77
    "addKeyEvent$$$$",	//78
    "addKeyPress",	//79
    "addKeyPress$",	//80
    "addKeyPress$$",	//81
    "addKeyPress$$$",	//82
    "addKeyRelease",	//83
    "addKeyRelease$",	//84
    "addKeyRelease$$",	//85
    "addKeyRelease$$$",	//86
    "addMouseClick",	//87
    "addMouseClick$",	//88
    "addMouseClick$$",	//89
    "addMouseClick$$#",	//90
    "addMouseClick$$#$",	//91
    "addMouseDClick",	//92
    "addMouseDClick$",	//93
    "addMouseDClick$$",	//94
    "addMouseDClick$$#",	//95
    "addMouseDClick$$#$",	//96
    "addMouseMove",	//97
    "addMouseMove#",	//98
    "addMouseMove#$",	//99
    "addMousePress",	//100
    "addMousePress$",	//101
    "addMousePress$$",	//102
    "addMousePress$$#",	//103
    "addMousePress$$#$",	//104
    "addMouseRelease",	//105
    "addMouseRelease$",	//106
    "addMouseRelease$$",	//107
    "addMouseRelease$$#",	//108
    "addMouseRelease$$#$",	//109
    "append",	//110
    "append$$",	//111
    "asciiToKey",	//112
    "asciiToKey$",	//113
    "changeInterval",	//114
    "changeInterval$",	//115
    "child",	//116
    "childEvent",	//117
    "cleanup",	//118
    "clear",	//119
    "clearEvents",	//120
    "clone",	//121
    "compare_helper",	//122
    "compare_helper$$$$",	//123
    "compare_helper$$$$$$$$",	//124
    "compare_ptr_helper",	//125
    "compare_ptr_helper$$$$$$",	//126
    "compare_string_helper",	//127
    "compare_string_helper$$$$$$",	//128
    "connectNotify",	//129
    "currentDataTag",	//130
    "currentTestFailed",	//131
    "currentTestFunction",	//132
    "customEvent",	//133
    "data",	//134
    "data$",	//135
    "dataCount",	//136
    "dataTag",	//137
    "disconnectNotify",	//138
    "enterLoop",	//139
    "enterLoop$",	//140
    "event",	//141
    "eventFilter",	//142
    "events",	//143
    "exitLoop",	//144
    "ignoreMessage",	//145
    "ignoreMessage$$",	//146
    "initialize",	//147
    "instance",	//148
    "isValid",	//149
    "keyClick",	//150
    "keyClick#$",	//151
    "keyClick#$$",	//152
    "keyClick#$$$",	//153
    "keyClicks",	//154
    "keyClicks#$",	//155
    "keyClicks#$$",	//156
    "keyClicks#$$$",	//157
    "keyEvent",	//158
    "keyEvent$#$",	//159
    "keyEvent$#$$",	//160
    "keyEvent$#$$$",	//161
    "keyPress",	//162
    "keyPress#$",	//163
    "keyPress#$$",	//164
    "keyPress#$$$",	//165
    "keyRelease",	//166
    "keyRelease#$",	//167
    "keyRelease#$$",	//168
    "keyRelease#$$$",	//169
    "keyToAscii",	//170
    "keyToAscii$",	//171
    "metaObject",	//172
    "mouseClick",	//173
    "mouseClick#$",	//174
    "mouseClick#$$",	//175
    "mouseClick#$$#",	//176
    "mouseClick#$$#$",	//177
    "mouseDClick",	//178
    "mouseDClick#$",	//179
    "mouseDClick#$$",	//180
    "mouseDClick#$$#",	//181
    "mouseDClick#$$#$",	//182
    "mouseEvent",	//183
    "mouseEvent$#$$#",	//184
    "mouseEvent$#$$#$",	//185
    "mouseMove",	//186
    "mouseMove#",	//187
    "mouseMove##",	//188
    "mouseMove##$",	//189
    "mousePress",	//190
    "mousePress#$",	//191
    "mousePress#$$",	//192
    "mousePress#$$#",	//193
    "mousePress#$$#$",	//194
    "mouseRelease",	//195
    "mouseRelease#$",	//196
    "mouseRelease#$$",	//197
    "mouseRelease#$$#",	//198
    "mouseRelease#$$#$",	//199
    "newRow",	//200
    "newRow$",	//201
    "object",	//202
    "operator==",	//203
    "operator==#",	//204
    "parent",	//205
    "qData",	//206
    "qData$$",	//207
    "qElementData",	//208
    "qElementData$$",	//209
    "qExec",	//210
    "qExec#",	//211
    "qExec#$",	//212
    "qExec#$?",	//213
    "qExec#?",	//214
    "qExpectFail",	//215
    "qExpectFail$$$$$",	//216
    "qFail",	//217
    "qFail$$$",	//218
    "qGlobalData",	//219
    "qGlobalData$$",	//220
    "qSkip",	//221
    "qSkip$$$$",	//222
    "qSleep",	//223
    "qSleep$",	//224
    "qVerify",	//225
    "qVerify$$$$$",	//226
    "qWait",	//227
    "qWait$",	//228
    "qWaitForWindowShown",	//229
    "qWaitForWindowShown#",	//230
    "qWarn",	//231
    "qWarn$",	//232
    "qt_metacall",	//233
    "qt_metacall$$?",	//234
    "qt_metacast",	//235
    "qt_metacast$",	//236
    "sendKeyEvent",	//237
    "sendKeyEvent$#$$$",	//238
    "sendKeyEvent$#$$$$",	//239
    "setBenchmarkResult",	//240
    "setBenchmarkResult$$",	//241
    "setChild",	//242
    "setChild$",	//243
    "setEvent",	//244
    "setEvent$",	//245
    "setObject",	//246
    "setObject#",	//247
    "set_action",	//248
    "set_action$",	//249
    "set_ascii",	//250
    "set_ascii$",	//251
    "set_delay",	//252
    "set_delay$",	//253
    "set_key",	//254
    "set_key$",	//255
    "set_modifiers",	//256
    "set_modifiers$",	//257
    "signal",	//258
    "simulate",	//259
    "simulate#",	//260
    "simulateEvent",	//261
    "simulateEvent#$$$$$",	//262
    "simulateEvent#$$$$$$",	//263
    "staticMetaObject",	//264
    "testObject",	//265
    "timeout",	//266
    "timerEvent",	//267
    "timerEvent#",	//268
    "toHexRepresentation",	//269
    "toHexRepresentation$$",	//270
    "toString",	//271
    "toString$",	//272
    "tr",	//273
    "tr$",	//274
    "tr$$",	//275
    "tr$$$",	//276
    "trUtf8",	//277
    "trUtf8$",	//278
    "trUtf8$$",	//279
    "trUtf8$$$",	//280
    "verifyEvent",	//281
    "verifyEvent#",	//282
    "verifyEvent#$$",	//283
    "~QSignalSpy",	//284
    "~QTestAccessibilityEvent",	//285
    "~QTestData",	//286
    "~QTestDelayEvent",	//287
    "~QTestEvent",	//288
    "~QTestEventList",	//289
    "~QTestEventLoop",	//290
    "~QTestKeyClicksEvent",	//291
    "~QTestKeyEvent",	//292
    "~QTestMouseEvent",	//293
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {5, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {5, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {5, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {5, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {5, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {5, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 11},	//11 QGlobalSpace::__codecvt_ok (enum)
    {5, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 12},	//12 QGlobalSpace::__codecvt_partial (enum)
    {5, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 13},	//13 QGlobalSpace::__codecvt_error (enum)
    {5, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 14},	//14 QGlobalSpace::__codecvt_noconv (enum)
    {7, 172, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 0},	//15 QObject::metaObject() const
    {7, 235, 1, 1, Smoke::mf_virtual, 130, 0},	//16 QObject::qt_metacast(const char*)
    {7, 141, 3, 1, Smoke::mf_virtual, 108, 0},	//17 QObject::event(QEvent*)
    {7, 142, 5, 2, Smoke::mf_virtual, 108, 0},	//18 QObject::eventFilter(QObject*, QEvent*)
    {7, 267, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::timerEvent(QTimerEvent*)
    {7, 117, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::childEvent(QChildEvent*)
    {7, 133, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::customEvent(QEvent*)
    {7, 129, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//22 QObject::connectNotify(const char*)
    {7, 138, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 QObject::disconnectNotify(const char*)
    {10, 16, 12, 2, Smoke::mf_ctor, 12, 1},	//24 QSignalSpy::QSignalSpy(QObject*, const char*)
    {10, 149, 0, 0, Smoke::mf_const, 108, 2},	//25 QSignalSpy::isValid() const
    {10, 258, 0, 0, Smoke::mf_const, 3, 3},	//26 QSignalSpy::signal() const
    {10, 233, 15, 3, Smoke::mf_virtual, 128, 4},	//27 QSignalSpy::qt_metacall(QMetaObject::Call, int, void**)
    {10, 284, 0, 0, Smoke::mf_dtor, 0, 5 },	//28 QSignalSpy::~QSignalSpy()
    {11, 186, 19, 3, Smoke::mf_static, 0, 1},	//29 QTest::mouseMove(QWidget*, QPoint, int)
    {11, 186, 23, 1, Smoke::mf_static, 0, 2},	//30 QTest::mouseMove(QWidget*)
    {11, 186, 25, 2, Smoke::mf_static, 0, 3},	//31 QTest::mouseMove(QWidget*, QPoint)
    {11, 240, 28, 2, Smoke::mf_static, 0, 4},	//32 QTest::setBenchmarkResult(double, QTest::QBenchmarkMetric)
    {11, 215, 31, 5, Smoke::mf_static, 108, 5},	//33 QTest::qExpectFail(const char*, const char*, QTest::TestFailMode, const char*, int)
    {11, 190, 37, 5, Smoke::mf_static, 0, 6},	//34 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 190, 43, 2, Smoke::mf_static, 0, 7},	//35 QTest::mousePress(QWidget*, Qt::MouseButton)
    {11, 190, 46, 3, Smoke::mf_static, 0, 8},	//36 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 190, 50, 4, Smoke::mf_static, 0, 9},	//37 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 132, 0, 0, Smoke::mf_static, 125, 10},	//38 QTest::currentTestFunction()
    {11, 210, 55, 2, Smoke::mf_static, 128, 11},	//39 QTest::qExec(QObject*, const QStringList&)
    {11, 265, 0, 0, Smoke::mf_static, 9, 12},	//40 QTest::testObject()
    {11, 261, 58, 7, Smoke::mf_static, 0, 13},	//41 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int)
    {11, 261, 66, 6, Smoke::mf_static, 0, 14},	//42 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool)
    {11, 162, 73, 4, Smoke::mf_static, 0, 15},	//43 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 162, 78, 2, Smoke::mf_static, 0, 16},	//44 QTest::keyPress(QWidget*, Qt::Key)
    {11, 162, 81, 3, Smoke::mf_static, 0, 17},	//45 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 178, 37, 5, Smoke::mf_static, 0, 18},	//46 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 178, 43, 2, Smoke::mf_static, 0, 19},	//47 QTest::mouseDClick(QWidget*, Qt::MouseButton)
    {11, 178, 46, 3, Smoke::mf_static, 0, 20},	//48 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 178, 50, 4, Smoke::mf_static, 0, 21},	//49 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 221, 85, 4, Smoke::mf_static, 0, 22},	//50 QTest::qSkip(const char*, QTest::SkipMode, const char*, int)
    {11, 225, 90, 5, Smoke::mf_static, 108, 23},	//51 QTest::qVerify(bool, const char*, const char*, const char*, int)
    {11, 217, 96, 3, Smoke::mf_static, 0, 24},	//52 QTest::qFail(const char*, const char*, int)
    {11, 170, 100, 1, Smoke::mf_static, 109, 25},	//53 QTest::keyToAscii(Qt::Key)
    {11, 227, 102, 1, Smoke::mf_static, 0, 26},	//54 QTest::qWait(int)
    {11, 237, 104, 6, Smoke::mf_static, 0, 27},	//55 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 237, 111, 5, Smoke::mf_static, 0, 28},	//56 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    {11, 231, 1, 1, Smoke::mf_static, 0, 29},	//57 QTest::qWarn(const char*)
    {11, 162, 117, 4, Smoke::mf_static, 0, 30},	//58 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 162, 122, 2, Smoke::mf_static, 0, 31},	//59 QTest::keyPress(QWidget*, char)
    {11, 162, 125, 3, Smoke::mf_static, 0, 32},	//60 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 130, 0, 0, Smoke::mf_static, 125, 33},	//61 QTest::currentDataTag()
    {11, 150, 117, 4, Smoke::mf_static, 0, 34},	//62 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 150, 122, 2, Smoke::mf_static, 0, 35},	//63 QTest::keyClick(QWidget*, char)
    {11, 150, 125, 3, Smoke::mf_static, 0, 36},	//64 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 131, 0, 0, Smoke::mf_static, 108, 37},	//65 QTest::currentTestFailed()
    {11, 219, 129, 2, Smoke::mf_static, 130, 38},	//66 QTest::qGlobalData(const char*, int)
    {11, 229, 23, 1, Smoke::mf_static, 108, 39},	//67 QTest::qWaitForWindowShown(QWidget*)
    {11, 200, 1, 1, Smoke::mf_static, 22, 40},	//68 QTest::newRow(const char*)
    {11, 158, 132, 5, Smoke::mf_static, 0, 41},	//69 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 158, 138, 3, Smoke::mf_static, 0, 42},	//70 QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    {11, 158, 142, 4, Smoke::mf_static, 0, 43},	//71 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 150, 73, 4, Smoke::mf_static, 0, 44},	//72 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 150, 78, 2, Smoke::mf_static, 0, 45},	//73 QTest::keyClick(QWidget*, Qt::Key)
    {11, 150, 81, 3, Smoke::mf_static, 0, 46},	//74 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 208, 129, 2, Smoke::mf_static, 130, 47},	//75 QTest::qElementData(const char*, int)
    {11, 125, 147, 6, Smoke::mf_static, 108, 48},	//76 QTest::compare_ptr_helper(const void*, const void*, const char*, const char*, const char*, int)
    {11, 210, 154, 3, Smoke::mf_static, 128, 49},	//77 QTest::qExec(QObject*, int, char**)
    {11, 210, 158, 1, Smoke::mf_static, 128, 50},	//78 QTest::qExec(QObject*)
    {11, 210, 160, 2, Smoke::mf_static, 128, 51},	//79 QTest::qExec(QObject*, int)
    {11, 166, 73, 4, Smoke::mf_static, 0, 52},	//80 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 166, 78, 2, Smoke::mf_static, 0, 53},	//81 QTest::keyRelease(QWidget*, Qt::Key)
    {11, 166, 81, 3, Smoke::mf_static, 0, 54},	//82 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 122, 163, 8, Smoke::mf_static, 108, 55},	//83 QTest::compare_helper(bool, const char*, char*, char*, const char*, const char*, const char*, int)
    {11, 271, 1, 1, Smoke::mf_static, 110, 56},	//84 QTest::toString(const char*)
    {11, 183, 172, 6, Smoke::mf_static, 0, 57},	//85 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 183, 179, 5, Smoke::mf_static, 0, 58},	//86 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 271, 185, 1, Smoke::mf_static, 110, 59},	//87 QTest::toString(const void*)
    {11, 112, 187, 1, Smoke::mf_static, 72, 60},	//88 QTest::asciiToKey(char)
    {11, 63, 189, 2, Smoke::mf_static, 0, 61},	//89 QTest::addColumnInternal(int, const char*)
    {11, 166, 117, 4, Smoke::mf_static, 0, 62},	//90 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 166, 122, 2, Smoke::mf_static, 0, 63},	//91 QTest::keyRelease(QWidget*, char)
    {11, 166, 125, 3, Smoke::mf_static, 0, 64},	//92 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 269, 129, 2, Smoke::mf_static, 110, 65},	//93 QTest::toHexRepresentation(const char*, int)
    {11, 173, 37, 5, Smoke::mf_static, 0, 66},	//94 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 173, 43, 2, Smoke::mf_static, 0, 67},	//95 QTest::mouseClick(QWidget*, Qt::MouseButton)
    {11, 173, 46, 3, Smoke::mf_static, 0, 68},	//96 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 173, 50, 4, Smoke::mf_static, 0, 69},	//97 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 223, 102, 1, Smoke::mf_static, 0, 70},	//98 QTest::qSleep(int)
    {11, 127, 192, 6, Smoke::mf_static, 108, 71},	//99 QTest::compare_string_helper(const char*, const char*, const char*, const char*, const char*, int)
    {11, 122, 199, 4, Smoke::mf_static, 108, 72},	//100 QTest::compare_helper(bool, const char*, const char*, int)
    {11, 237, 204, 6, Smoke::mf_static, 0, 73},	//101 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    {11, 237, 211, 5, Smoke::mf_static, 0, 74},	//102 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    {11, 206, 129, 2, Smoke::mf_static, 130, 75},	//103 QTest::qData(const char*, int)
    {11, 158, 217, 5, Smoke::mf_static, 0, 76},	//104 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 158, 223, 3, Smoke::mf_static, 0, 77},	//105 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    {11, 158, 227, 4, Smoke::mf_static, 0, 78},	//106 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 145, 232, 2, Smoke::mf_static, 0, 79},	//107 QTest::ignoreMessage(QtMsgType, const char*)
    {11, 195, 37, 5, Smoke::mf_static, 0, 80},	//108 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 195, 43, 2, Smoke::mf_static, 0, 81},	//109 QTest::mouseRelease(QWidget*, Qt::MouseButton)
    {11, 195, 46, 3, Smoke::mf_static, 0, 82},	//110 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 195, 50, 4, Smoke::mf_static, 0, 83},	//111 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 154, 235, 4, Smoke::mf_static, 0, 84},	//112 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int)
    {11, 154, 240, 2, Smoke::mf_static, 0, 85},	//113 QTest::keyClicks(QWidget*, const QString&)
    {11, 154, 243, 3, Smoke::mf_static, 0, 86},	//114 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>)
    {11, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 87},	//115 QTest::Abort (enum)
    {11, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 88},	//116 QTest::Continue (enum)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 89},	//117 QTest::MousePress (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 90},	//118 QTest::MouseRelease (enum)
    {11, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 91},	//119 QTest::MouseClick (enum)
    {11, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 92},	//120 QTest::MouseDClick (enum)
    {11, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 93},	//121 QTest::MouseMove (enum)
    {11, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 94},	//122 QTest::Press (enum)
    {11, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 95},	//123 QTest::Release (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 96},	//124 QTest::Click (enum)
    {11, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 97},	//125 QTest::SkipSingle (enum)
    {11, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 98},	//126 QTest::SkipAll (enum)
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 99},	//127 QTest::FramesPerSecond (enum)
    {11, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 100},	//128 QTest::BitsPerSecond (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 101},	//129 QTest::BytesPerSecond (enum)
    {11, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 102},	//130 QTest::WalltimeMilliseconds (enum)
    {11, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 103},	//131 QTest::CPUTicks (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 104},	//132 QTest::InstructionReads (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 105},	//133 QTest::Events (enum)
    {12, 147, 0, 0, Smoke::mf_static, 0, 1},	//134 QTestAccessibility::initialize()
    {12, 118, 0, 0, Smoke::mf_static, 0, 2},	//135 QTestAccessibility::cleanup()
    {12, 120, 0, 0, Smoke::mf_static, 0, 3},	//136 QTestAccessibility::clearEvents()
    {12, 143, 0, 0, Smoke::mf_static, 7, 4},	//137 QTestAccessibility::events()
    {12, 281, 247, 1, Smoke::mf_static, 108, 5},	//138 QTestAccessibility::verifyEvent(const QTestAccessibilityEvent&)
    {12, 281, 249, 3, Smoke::mf_static, 108, 6},	//139 QTestAccessibility::verifyEvent(QObject*, int, int)
    {13, 18, 249, 3, Smoke::mf_ctor, 21, 1},	//140 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int, int)
    {13, 203, 247, 1, Smoke::mf_const, 108, 2},	//141 QTestAccessibilityEvent::operator==(const QTestAccessibilityEvent&) const
    {13, 18, 247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 21, 3},	//142 QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    {13, 18, 0, 0, Smoke::mf_ctor, 21, 4},	//143 QTestAccessibilityEvent::QTestAccessibilityEvent()
    {13, 18, 158, 1, Smoke::mf_ctor, 21, 5},	//144 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    {13, 18, 160, 2, Smoke::mf_ctor, 21, 6},	//145 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int)
    {13, 202, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 9, 7},	//146 QTestAccessibilityEvent::object() const
    {13, 246, 158, 1, Smoke::mf_attribute, 0, 8},	//147 QTestAccessibilityEvent::setObject(QObject*)
    {13, 116, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 128, 9},	//148 QTestAccessibilityEvent::child() const
    {13, 242, 102, 1, Smoke::mf_attribute, 0, 10},	//149 QTestAccessibilityEvent::setChild(int)
    {13, 141, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 128, 11},	//150 QTestAccessibilityEvent::event() const
    {13, 244, 102, 1, Smoke::mf_attribute, 0, 12},	//151 QTestAccessibilityEvent::setEvent(int)
    {13, 285, 0, 0, Smoke::mf_dtor, 0, 13 },	//152 QTestAccessibilityEvent::~QTestAccessibilityEvent()
    {14, 110, 253, 2, 0, 0, 1},	//153 QTestData::append(int, const void*)
    {14, 134, 102, 1, Smoke::mf_const, 130, 2},	//154 QTestData::data(int) const
    {14, 137, 0, 0, Smoke::mf_const, 125, 3},	//155 QTestData::dataTag() const
    {14, 205, 0, 0, Smoke::mf_const, 31, 4},	//156 QTestData::parent() const
    {14, 136, 0, 0, Smoke::mf_const, 128, 5},	//157 QTestData::dataCount() const
    {14, 286, 0, 0, Smoke::mf_dtor, 0, 6 },	//158 QTestData::~QTestData()
    {15, 22, 102, 1, Smoke::mf_ctor, 23, 1},	//159 QTestDelayEvent::QTestDelayEvent(int)
    {15, 121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 24, 2},	//160 QTestDelayEvent::clone() const
    {15, 259, 23, 1, Smoke::mf_virtual, 0, 3},	//161 QTestDelayEvent::simulate(QWidget*)
    {15, 22, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 4},	//162 QTestDelayEvent::QTestDelayEvent(const QTestDelayEvent&)
    {15, 287, 0, 0, Smoke::mf_dtor, 0, 5 },	//163 QTestDelayEvent::~QTestDelayEvent()
    {16, 259, 23, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//164 QTestEvent::simulate(QWidget*) [pure virtual]
    {16, 121, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 24, 2},	//165 QTestEvent::clone() const [pure virtual]
    {16, 25, 0, 0, Smoke::mf_ctor, 24, 3},	//166 QTestEvent::QTestEvent()
    {16, 25, 258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 4},	//167 QTestEvent::QTestEvent(const QTestEvent&)
    {16, 288, 0, 0, Smoke::mf_dtor, 0, 5 },	//168 QTestEvent::~QTestEvent()
    {17, 27, 0, 0, Smoke::mf_ctor, 25, 1},	//169 QTestEventList::QTestEventList()
    {17, 27, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//170 QTestEventList::QTestEventList(const QTestEventList&)
    {17, 119, 0, 0, 0, 0, 3},	//171 QTestEventList::clear()
    {17, 67, 262, 3, 0, 0, 4},	//172 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 79, 262, 3, 0, 0, 5},	//173 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 83, 262, 3, 0, 0, 6},	//174 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 75, 266, 4, 0, 0, 7},	//175 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 67, 271, 3, 0, 0, 8},	//176 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 79, 271, 3, 0, 0, 9},	//177 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 83, 271, 3, 0, 0, 10},	//178 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 71, 275, 3, 0, 0, 11},	//179 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {17, 75, 279, 4, 0, 0, 12},	//180 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {17, 100, 284, 4, 0, 0, 13},	//181 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 105, 284, 4, 0, 0, 14},	//182 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 87, 284, 4, 0, 0, 15},	//183 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 92, 284, 4, 0, 0, 16},	//184 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 97, 289, 2, 0, 0, 17},	//185 QTestEventList::addMouseMove(QPoint, int)
    {17, 65, 102, 1, 0, 0, 18},	//186 QTestEventList::addDelay(int)
    {17, 259, 23, 1, 0, 0, 19},	//187 QTestEventList::simulate(QWidget*)
    {17, 67, 100, 1, 0, 0, 20},	//188 QTestEventList::addKeyClick(Qt::Key)
    {17, 67, 292, 2, 0, 0, 21},	//189 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 79, 100, 1, 0, 0, 22},	//190 QTestEventList::addKeyPress(Qt::Key)
    {17, 79, 292, 2, 0, 0, 23},	//191 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 83, 100, 1, 0, 0, 24},	//192 QTestEventList::addKeyRelease(Qt::Key)
    {17, 83, 292, 2, 0, 0, 25},	//193 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 75, 295, 2, 0, 0, 26},	//194 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    {17, 75, 298, 3, 0, 0, 27},	//195 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 67, 187, 1, 0, 0, 28},	//196 QTestEventList::addKeyClick(char)
    {17, 67, 302, 2, 0, 0, 29},	//197 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    {17, 79, 187, 1, 0, 0, 30},	//198 QTestEventList::addKeyPress(char)
    {17, 79, 302, 2, 0, 0, 31},	//199 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    {17, 83, 187, 1, 0, 0, 32},	//200 QTestEventList::addKeyRelease(char)
    {17, 83, 302, 2, 0, 0, 33},	//201 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    {17, 71, 305, 1, 0, 0, 34},	//202 QTestEventList::addKeyClicks(const QString&)
    {17, 71, 307, 2, 0, 0, 35},	//203 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>)
    {17, 75, 310, 2, 0, 0, 36},	//204 QTestEventList::addKeyEvent(QTest::KeyAction, char)
    {17, 75, 313, 3, 0, 0, 37},	//205 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    {17, 100, 317, 1, 0, 0, 38},	//206 QTestEventList::addMousePress(Qt::MouseButton)
    {17, 100, 319, 2, 0, 0, 39},	//207 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 100, 322, 3, 0, 0, 40},	//208 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 105, 317, 1, 0, 0, 41},	//209 QTestEventList::addMouseRelease(Qt::MouseButton)
    {17, 105, 319, 2, 0, 0, 42},	//210 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 105, 322, 3, 0, 0, 43},	//211 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 87, 317, 1, 0, 0, 44},	//212 QTestEventList::addMouseClick(Qt::MouseButton)
    {17, 87, 319, 2, 0, 0, 45},	//213 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 87, 322, 3, 0, 0, 46},	//214 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 92, 317, 1, 0, 0, 47},	//215 QTestEventList::addMouseDClick(Qt::MouseButton)
    {17, 92, 319, 2, 0, 0, 48},	//216 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 92, 322, 3, 0, 0, 49},	//217 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 97, 0, 0, 0, 0, 50},	//218 QTestEventList::addMouseMove()
    {17, 97, 326, 1, 0, 0, 51},	//219 QTestEventList::addMouseMove(QPoint)
    {17, 289, 0, 0, Smoke::mf_dtor, 0, 52 },	//220 QTestEventList::~QTestEventList()
    {18, 172, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 1},	//221 QTestEventLoop::metaObject() const
    {18, 235, 1, 1, Smoke::mf_virtual, 130, 2},	//222 QTestEventLoop::qt_metacast(const char*)
    {18, 273, 328, 2, Smoke::mf_static, 13, 3},	//223 QTestEventLoop::tr(const char*, const char*)
    {18, 277, 328, 2, Smoke::mf_static, 13, 4},	//224 QTestEventLoop::trUtf8(const char*, const char*)
    {18, 273, 96, 3, Smoke::mf_static, 13, 5},	//225 QTestEventLoop::tr(const char*, const char*, int)
    {18, 277, 96, 3, Smoke::mf_static, 13, 6},	//226 QTestEventLoop::trUtf8(const char*, const char*, int)
    {18, 233, 15, 3, Smoke::mf_virtual, 128, 7},	//227 QTestEventLoop::qt_metacall(QMetaObject::Call, int, void**)
    {18, 29, 158, 1, Smoke::mf_ctor, 27, 8},	//228 QTestEventLoop::QTestEventLoop(QObject*)
    {18, 139, 102, 1, 0, 0, 9},	//229 QTestEventLoop::enterLoop(int)
    {18, 114, 102, 1, 0, 0, 10},	//230 QTestEventLoop::changeInterval(int)
    {18, 266, 0, 0, Smoke::mf_const, 108, 11},	//231 QTestEventLoop::timeout() const
    {18, 148, 0, 0, Smoke::mf_static, 26, 12},	//232 QTestEventLoop::instance()
    {18, 144, 0, 0, Smoke::mf_slot, 0, 13},	//233 QTestEventLoop::exitLoop()
    {18, 267, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//234 QTestEventLoop::timerEvent(QTimerEvent*)
    {18, 273, 1, 1, Smoke::mf_static, 13, 15},	//235 QTestEventLoop::tr(const char*)
    {18, 277, 1, 1, Smoke::mf_static, 13, 16},	//236 QTestEventLoop::trUtf8(const char*)
    {18, 29, 0, 0, Smoke::mf_ctor, 27, 17},	//237 QTestEventLoop::QTestEventLoop()
    {18, 264, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 112, 18},	//238 QTestEventLoop::staticMetaObject() const
    {18, 290, 0, 0, Smoke::mf_dtor, 0, 19 },	//239 QTestEventLoop::~QTestEventLoop()
    {19, 31, 275, 3, Smoke::mf_ctor, 28, 1},	//240 QTestKeyClicksEvent::QTestKeyClicksEvent(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {19, 121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 24, 2},	//241 QTestKeyClicksEvent::clone() const
    {19, 259, 23, 1, Smoke::mf_virtual, 0, 3},	//242 QTestKeyClicksEvent::simulate(QWidget*)
    {19, 31, 331, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 4},	//243 QTestKeyClicksEvent::QTestKeyClicksEvent(const QTestKeyClicksEvent&)
    {19, 291, 0, 0, Smoke::mf_dtor, 0, 5 },	//244 QTestKeyClicksEvent::~QTestKeyClicksEvent()
    {20, 34, 266, 4, Smoke::mf_ctor, 29, 1},	//245 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {20, 34, 279, 4, Smoke::mf_ctor, 29, 2},	//246 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {20, 121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 24, 3},	//247 QTestKeyEvent::clone() const
    {20, 259, 23, 1, Smoke::mf_virtual, 0, 4},	//248 QTestKeyEvent::simulate(QWidget*)
    {20, 34, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 5},	//249 QTestKeyEvent::QTestKeyEvent(const QTestKeyEvent&)
    {20, 58, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 16, 6},	//250 QTestKeyEvent::_action() const
    {20, 248, 335, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 7},	//251 QTestKeyEvent::set_action(QTest::KeyAction)
    {20, 60, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 128, 8},	//252 QTestKeyEvent::_delay() const
    {20, 252, 102, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 9},	//253 QTestKeyEvent::set_delay(int)
    {20, 62, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 6, 10},	//254 QTestKeyEvent::_modifiers() const
    {20, 256, 337, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 11},	//255 QTestKeyEvent::set_modifiers(QFlags<Qt::KeyboardModifier>)
    {20, 59, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 109, 12},	//256 QTestKeyEvent::_ascii() const
    {20, 250, 187, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//257 QTestKeyEvent::set_ascii(char)
    {20, 61, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 72, 14},	//258 QTestKeyEvent::_key() const
    {20, 254, 100, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//259 QTestKeyEvent::set_key(Qt::Key)
    {20, 292, 0, 0, Smoke::mf_dtor, 0, 16 },	//260 QTestKeyEvent::~QTestKeyEvent()
    {21, 37, 339, 5, Smoke::mf_ctor, 30, 1},	//261 QTestMouseEvent::QTestMouseEvent(QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {21, 121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 24, 2},	//262 QTestMouseEvent::clone() const
    {21, 259, 23, 1, Smoke::mf_virtual, 0, 3},	//263 QTestMouseEvent::simulate(QWidget*)
    {21, 37, 345, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 4},	//264 QTestMouseEvent::QTestMouseEvent(const QTestMouseEvent&)
    {21, 293, 0, 0, Smoke::mf_dtor, 0, 5 },	//265 QTestMouseEvent::~QTestMouseEvent()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    63,  // QTest::keyClick(QWidget*, char)
    73,  // QTest::keyClick(QWidget*, Qt::Key)
    0,
    64,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    74,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    62,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    72,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    70,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    105,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    0,
    71,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    106,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    69,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    104,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    44,  // QTest::keyPress(QWidget*, Qt::Key)
    59,  // QTest::keyPress(QWidget*, char)
    0,
    45,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    60,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    43,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    58,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    81,  // QTest::keyRelease(QWidget*, Qt::Key)
    91,  // QTest::keyRelease(QWidget*, char)
    0,
    82,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    92,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    80,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    90,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    56,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    102,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    0,
    55,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    101,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    0,
    84,  // QTest::toString(const char*)
    87,  // QTest::toString(const void*)
    0,
    188,  // QTestEventList::addKeyClick(Qt::Key)
    196,  // QTestEventList::addKeyClick(char)
    0,
    189,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    197,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    0,
    172,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    176,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    194,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    204,  // QTestEventList::addKeyEvent(QTest::KeyAction, char)
    0,
    195,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    205,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    0,
    175,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    180,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    190,  // QTestEventList::addKeyPress(Qt::Key)
    198,  // QTestEventList::addKeyPress(char)
    0,
    191,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    199,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    0,
    173,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    177,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    192,  // QTestEventList::addKeyRelease(Qt::Key)
    200,  // QTestEventList::addKeyRelease(char)
    0,
    193,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    201,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    0,
    174,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    178,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    142,  // QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    144,  // QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    0,
    245,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    246,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 40, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 41, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 42, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 43, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 44, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {5, 45, 8},	// QGlobalSpace::QtCriticalMsg
    {5, 46, 6},	// QGlobalSpace::QtDebugMsg
    {5, 47, 9},	// QGlobalSpace::QtFatalMsg
    {5, 48, 10},	// QGlobalSpace::QtSystemMsg
    {5, 49, 7},	// QGlobalSpace::QtWarningMsg
    {5, 54, 13},	// QGlobalSpace::__codecvt_error
    {5, 55, 14},	// QGlobalSpace::__codecvt_noconv
    {5, 56, 11},	// QGlobalSpace::__codecvt_ok
    {5, 57, 12},	// QGlobalSpace::__codecvt_partial
    {10, 17, 24},	// QSignalSpy::QSignalSpy#$
    {10, 149, 25},	// QSignalSpy::isValid
    {10, 234, 27},	// QSignalSpy::qt_metacall$$?
    {10, 258, 26},	// QSignalSpy::signal
    {10, 284, 28},	// QSignalSpy::~QSignalSpy
    {11, 1, 115},	// QTest::Abort
    {11, 2, 128},	// QTest::BitsPerSecond
    {11, 3, 129},	// QTest::BytesPerSecond
    {11, 4, 131},	// QTest::CPUTicks
    {11, 5, 124},	// QTest::Click
    {11, 6, 116},	// QTest::Continue
    {11, 7, 133},	// QTest::Events
    {11, 8, 127},	// QTest::FramesPerSecond
    {11, 9, 132},	// QTest::InstructionReads
    {11, 10, 119},	// QTest::MouseClick
    {11, 11, 120},	// QTest::MouseDClick
    {11, 12, 121},	// QTest::MouseMove
    {11, 13, 117},	// QTest::MousePress
    {11, 14, 118},	// QTest::MouseRelease
    {11, 15, 122},	// QTest::Press
    {11, 50, 123},	// QTest::Release
    {11, 51, 126},	// QTest::SkipAll
    {11, 52, 125},	// QTest::SkipSingle
    {11, 53, 130},	// QTest::WalltimeMilliseconds
    {11, 64, 89},	// QTest::addColumnInternal$$
    {11, 113, 88},	// QTest::asciiToKey$
    {11, 123, 100},	// QTest::compare_helper$$$$
    {11, 124, 83},	// QTest::compare_helper$$$$$$$$
    {11, 126, 76},	// QTest::compare_ptr_helper$$$$$$
    {11, 128, 99},	// QTest::compare_string_helper$$$$$$
    {11, 130, 61},	// QTest::currentDataTag
    {11, 131, 65},	// QTest::currentTestFailed
    {11, 132, 38},	// QTest::currentTestFunction
    {11, 146, 107},	// QTest::ignoreMessage$$
    {11, 151, -1},	// QTest::keyClick#$
    {11, 152, -4},	// QTest::keyClick#$$
    {11, 153, -7},	// QTest::keyClick#$$$
    {11, 155, 113},	// QTest::keyClicks#$
    {11, 156, 114},	// QTest::keyClicks#$$
    {11, 157, 112},	// QTest::keyClicks#$$$
    {11, 159, -10},	// QTest::keyEvent$#$
    {11, 160, -13},	// QTest::keyEvent$#$$
    {11, 161, -16},	// QTest::keyEvent$#$$$
    {11, 163, -19},	// QTest::keyPress#$
    {11, 164, -22},	// QTest::keyPress#$$
    {11, 165, -25},	// QTest::keyPress#$$$
    {11, 167, -28},	// QTest::keyRelease#$
    {11, 168, -31},	// QTest::keyRelease#$$
    {11, 169, -34},	// QTest::keyRelease#$$$
    {11, 171, 53},	// QTest::keyToAscii$
    {11, 174, 95},	// QTest::mouseClick#$
    {11, 175, 96},	// QTest::mouseClick#$$
    {11, 176, 97},	// QTest::mouseClick#$$#
    {11, 177, 94},	// QTest::mouseClick#$$#$
    {11, 179, 47},	// QTest::mouseDClick#$
    {11, 180, 48},	// QTest::mouseDClick#$$
    {11, 181, 49},	// QTest::mouseDClick#$$#
    {11, 182, 46},	// QTest::mouseDClick#$$#$
    {11, 184, 86},	// QTest::mouseEvent$#$$#
    {11, 185, 85},	// QTest::mouseEvent$#$$#$
    {11, 187, 30},	// QTest::mouseMove#
    {11, 188, 31},	// QTest::mouseMove##
    {11, 189, 29},	// QTest::mouseMove##$
    {11, 191, 35},	// QTest::mousePress#$
    {11, 192, 36},	// QTest::mousePress#$$
    {11, 193, 37},	// QTest::mousePress#$$#
    {11, 194, 34},	// QTest::mousePress#$$#$
    {11, 196, 109},	// QTest::mouseRelease#$
    {11, 197, 110},	// QTest::mouseRelease#$$
    {11, 198, 111},	// QTest::mouseRelease#$$#
    {11, 199, 108},	// QTest::mouseRelease#$$#$
    {11, 201, 68},	// QTest::newRow$
    {11, 207, 103},	// QTest::qData$$
    {11, 209, 75},	// QTest::qElementData$$
    {11, 211, 78},	// QTest::qExec#
    {11, 212, 79},	// QTest::qExec#$
    {11, 213, 77},	// QTest::qExec#$?
    {11, 214, 39},	// QTest::qExec#?
    {11, 216, 33},	// QTest::qExpectFail$$$$$
    {11, 218, 52},	// QTest::qFail$$$
    {11, 220, 66},	// QTest::qGlobalData$$
    {11, 222, 50},	// QTest::qSkip$$$$
    {11, 224, 98},	// QTest::qSleep$
    {11, 226, 51},	// QTest::qVerify$$$$$
    {11, 228, 54},	// QTest::qWait$
    {11, 230, 67},	// QTest::qWaitForWindowShown#
    {11, 232, 57},	// QTest::qWarn$
    {11, 238, -37},	// QTest::sendKeyEvent$#$$$
    {11, 239, -40},	// QTest::sendKeyEvent$#$$$$
    {11, 241, 32},	// QTest::setBenchmarkResult$$
    {11, 262, 42},	// QTest::simulateEvent#$$$$$
    {11, 263, 41},	// QTest::simulateEvent#$$$$$$
    {11, 265, 40},	// QTest::testObject
    {11, 270, 93},	// QTest::toHexRepresentation$$
    {11, 272, -43},	// QTest::toString$
    {12, 118, 135},	// QTestAccessibility::cleanup
    {12, 120, 136},	// QTestAccessibility::clearEvents
    {12, 143, 137},	// QTestAccessibility::events
    {12, 147, 134},	// QTestAccessibility::initialize
    {12, 282, 138},	// QTestAccessibility::verifyEvent#
    {12, 283, 139},	// QTestAccessibility::verifyEvent#$$
    {13, 18, 143},	// QTestAccessibilityEvent::QTestAccessibilityEvent
    {13, 19, -82},	// QTestAccessibilityEvent::QTestAccessibilityEvent#
    {13, 20, 145},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$
    {13, 21, 140},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$$
    {13, 116, 148},	// QTestAccessibilityEvent::child
    {13, 141, 150},	// QTestAccessibilityEvent::event
    {13, 202, 146},	// QTestAccessibilityEvent::object
    {13, 204, 141},	// QTestAccessibilityEvent::operator==#
    {13, 243, 149},	// QTestAccessibilityEvent::setChild$
    {13, 245, 151},	// QTestAccessibilityEvent::setEvent$
    {13, 247, 147},	// QTestAccessibilityEvent::setObject#
    {13, 285, 152},	// QTestAccessibilityEvent::~QTestAccessibilityEvent
    {14, 111, 153},	// QTestData::append$$
    {14, 135, 154},	// QTestData::data$
    {14, 136, 157},	// QTestData::dataCount
    {14, 137, 155},	// QTestData::dataTag
    {14, 205, 156},	// QTestData::parent
    {14, 286, 158},	// QTestData::~QTestData
    {15, 23, 162},	// QTestDelayEvent::QTestDelayEvent#
    {15, 24, 159},	// QTestDelayEvent::QTestDelayEvent$
    {15, 121, 160},	// QTestDelayEvent::clone
    {15, 260, 161},	// QTestDelayEvent::simulate#
    {15, 287, 163},	// QTestDelayEvent::~QTestDelayEvent
    {16, 25, 166},	// QTestEvent::QTestEvent
    {16, 26, 167},	// QTestEvent::QTestEvent#
    {16, 121, 165},	// QTestEvent::clone
    {16, 260, 164},	// QTestEvent::simulate#
    {16, 288, 168},	// QTestEvent::~QTestEvent
    {17, 27, 169},	// QTestEventList::QTestEventList
    {17, 28, 170},	// QTestEventList::QTestEventList#
    {17, 66, 186},	// QTestEventList::addDelay$
    {17, 68, -46},	// QTestEventList::addKeyClick$
    {17, 69, -49},	// QTestEventList::addKeyClick$$
    {17, 70, -52},	// QTestEventList::addKeyClick$$$
    {17, 72, 202},	// QTestEventList::addKeyClicks$
    {17, 73, 203},	// QTestEventList::addKeyClicks$$
    {17, 74, 179},	// QTestEventList::addKeyClicks$$$
    {17, 76, -55},	// QTestEventList::addKeyEvent$$
    {17, 77, -58},	// QTestEventList::addKeyEvent$$$
    {17, 78, -61},	// QTestEventList::addKeyEvent$$$$
    {17, 80, -64},	// QTestEventList::addKeyPress$
    {17, 81, -67},	// QTestEventList::addKeyPress$$
    {17, 82, -70},	// QTestEventList::addKeyPress$$$
    {17, 84, -73},	// QTestEventList::addKeyRelease$
    {17, 85, -76},	// QTestEventList::addKeyRelease$$
    {17, 86, -79},	// QTestEventList::addKeyRelease$$$
    {17, 88, 212},	// QTestEventList::addMouseClick$
    {17, 89, 213},	// QTestEventList::addMouseClick$$
    {17, 90, 214},	// QTestEventList::addMouseClick$$#
    {17, 91, 183},	// QTestEventList::addMouseClick$$#$
    {17, 93, 215},	// QTestEventList::addMouseDClick$
    {17, 94, 216},	// QTestEventList::addMouseDClick$$
    {17, 95, 217},	// QTestEventList::addMouseDClick$$#
    {17, 96, 184},	// QTestEventList::addMouseDClick$$#$
    {17, 97, 218},	// QTestEventList::addMouseMove
    {17, 98, 219},	// QTestEventList::addMouseMove#
    {17, 99, 185},	// QTestEventList::addMouseMove#$
    {17, 101, 206},	// QTestEventList::addMousePress$
    {17, 102, 207},	// QTestEventList::addMousePress$$
    {17, 103, 208},	// QTestEventList::addMousePress$$#
    {17, 104, 181},	// QTestEventList::addMousePress$$#$
    {17, 106, 209},	// QTestEventList::addMouseRelease$
    {17, 107, 210},	// QTestEventList::addMouseRelease$$
    {17, 108, 211},	// QTestEventList::addMouseRelease$$#
    {17, 109, 182},	// QTestEventList::addMouseRelease$$#$
    {17, 119, 171},	// QTestEventList::clear
    {17, 260, 187},	// QTestEventList::simulate#
    {17, 289, 220},	// QTestEventList::~QTestEventList
    {18, 29, 237},	// QTestEventLoop::QTestEventLoop
    {18, 30, 228},	// QTestEventLoop::QTestEventLoop#
    {18, 115, 230},	// QTestEventLoop::changeInterval$
    {18, 140, 229},	// QTestEventLoop::enterLoop$
    {18, 144, 233},	// QTestEventLoop::exitLoop
    {18, 148, 232},	// QTestEventLoop::instance
    {18, 172, 221},	// QTestEventLoop::metaObject
    {18, 234, 227},	// QTestEventLoop::qt_metacall$$?
    {18, 236, 222},	// QTestEventLoop::qt_metacast$
    {18, 264, 238},	// QTestEventLoop::staticMetaObject
    {18, 266, 231},	// QTestEventLoop::timeout
    {18, 268, 234},	// QTestEventLoop::timerEvent#
    {18, 274, 235},	// QTestEventLoop::tr$
    {18, 275, 223},	// QTestEventLoop::tr$$
    {18, 276, 225},	// QTestEventLoop::tr$$$
    {18, 278, 236},	// QTestEventLoop::trUtf8$
    {18, 279, 224},	// QTestEventLoop::trUtf8$$
    {18, 280, 226},	// QTestEventLoop::trUtf8$$$
    {18, 290, 239},	// QTestEventLoop::~QTestEventLoop
    {19, 32, 243},	// QTestKeyClicksEvent::QTestKeyClicksEvent#
    {19, 33, 240},	// QTestKeyClicksEvent::QTestKeyClicksEvent$$$
    {19, 121, 241},	// QTestKeyClicksEvent::clone
    {19, 260, 242},	// QTestKeyClicksEvent::simulate#
    {19, 291, 244},	// QTestKeyClicksEvent::~QTestKeyClicksEvent
    {20, 35, 249},	// QTestKeyEvent::QTestKeyEvent#
    {20, 36, -85},	// QTestKeyEvent::QTestKeyEvent$$$$
    {20, 58, 250},	// QTestKeyEvent::_action
    {20, 59, 256},	// QTestKeyEvent::_ascii
    {20, 60, 252},	// QTestKeyEvent::_delay
    {20, 61, 258},	// QTestKeyEvent::_key
    {20, 62, 254},	// QTestKeyEvent::_modifiers
    {20, 121, 247},	// QTestKeyEvent::clone
    {20, 249, 251},	// QTestKeyEvent::set_action$
    {20, 251, 257},	// QTestKeyEvent::set_ascii$
    {20, 253, 253},	// QTestKeyEvent::set_delay$
    {20, 255, 259},	// QTestKeyEvent::set_key$
    {20, 257, 255},	// QTestKeyEvent::set_modifiers$
    {20, 260, 248},	// QTestKeyEvent::simulate#
    {20, 292, 260},	// QTestKeyEvent::~QTestKeyEvent
    {21, 38, 264},	// QTestMouseEvent::QTestMouseEvent#
    {21, 39, 261},	// QTestMouseEvent::QTestMouseEvent$$$#$
    {21, 121, 262},	// QTestMouseEvent::clone
    {21, 260, 263},	// QTestMouseEvent::simulate#
    {21, 293, 265},	// QTestMouseEvent::~QTestMouseEvent
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qttest_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qttest_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qttest_Smoke = new Smoke(
        "qttest",
        __smokeqttest::classes, 24,
        __smokeqttest::methods, 266,
        __smokeqttest::methodMaps, 228,
        __smokeqttest::methodNames, 293,
        __smokeqttest::types, 132,
        __smokeqttest::inheritanceList,
        __smokeqttest::argumentList,
        __smokeqttest::ambiguousMethodList,
        __smokeqttest::cast );
    initialized = true;
}

void delete_qttest_Smoke() { delete qttest_Smoke; }

}
